【活用ガイド】

[English]

JVNDB-2015-000166

EC-CUBE におけるクロスサイトリクエストフォージェリの脆弱性

概要

株式会社ロックオンが提供する EC-CUBE は、オープンソースのショッピングサイト構築システムです。EC-CUBE には、クロスサイトリクエストフォージェリ (CWE-352) の脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社トレードワークス セキュリティ事業部 佐藤 元 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.1 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


ロックオン
  • EC-CUBE 2.11.0 から 2.13.4 まで

[2015年11月13日追記]
本脆弱性への対策版として 2015年10月26日にリリースされたバージョンは対応が不十分であったため、再修正されています。
想定される影響

当該製品のユーザが、細工されたページにアクセスした場合、サーバ上で任意の PHP コードを実行される可能性があります。
対策

[アップデートまたは修正ファイルを適用する]
開発者が提供する情報をもとに、最新版へアップデートもしくは修正ファイルを適用してください。
ベンダ情報

ロックオン
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトリクエストフォージェリ(CWE-352) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-5665
参考情報

  1. JVN : JVN#97278546
  2. National Vulnerability Database (NVD) : CVE-2015-5665
  3. 関連文書 : 株式会社アラタナ の告知ページ
更新履歴

[2015年10月26日]
  掲載
[2015年10月29日]
  概要:内容を更新
  想定される影響:内容を更新 
  参考情報:関連文書 (株式会社アラタナ の告知ページ) を追加
[2015年11月13日]
  影響を受けるシステム:内容を更新
  ベンダ情報:ロックオン (EC-CUBE2.13.3以下の1件の脆弱性に関しまして) を追加
  ベンダ情報:ロックオン (クロスサイトリクエストフォージェリの脆弱性 (情報公開日:2015年 11月 13日)) を追加
  参考情報:National Vulnerability Database (NVD) (CVE-2015-5665) を追加